path: /build/build/kcompletion-kde-frameworks-5-5.111.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test designer nls prefix" emerge kde-frameworks/kcompletion:5 -pv -t && \
    USE="-doc -test designer nls prefix" emerge -j ${JOBS} --nodeps kde-frameworks/kcompletion:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kcompletion && luet-portage --dir /pkgdir/kcompletion
    kde-frameworks/kcompletion:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:18285ce17a13cfb55d446a6dda27a5110371fe8766b8493fdf5ce46c673d384e
  package:
    name: kcompletion
    version: 5.111.0
    category: kde-frameworks-5
    use_flags:
    - -doc
    - -test
    - designer
    - nls
    - prefix
    requires:
    - name: kwidgetsaddons
      version: '>=0'
      category: kde-frameworks-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Framework for common completion tasks such as filename or URL completion
    uri:
    - https://kde.org/
    license: LGPL-2+
    buildtimestamp: 2024-02-09 22:23:21.001535892 +0000 UTC m=+2900.930017531
    labels:
      BDEPEND: nls? ( >=dev-qt/linguist-tools-5.15.1:5 ) dev-util/ninja >=dev-util/cmake-3.9.6
        test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.111:5
        designer? ( >=kde-frameworks/kdesignerplugin-5.111:5 >=dev-qt/designer-5.15.1:5
        ) doc? ( >=dev-qt/qthelp-5.15.1:5 >=app-doc/doxygen-1.8.13-r1 )
      DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/kconfig-5.111:5
        >=kde-frameworks/kwidgetsaddons-5.111:5 dev-util/desktop-file-utils x11-misc/shared-mime-info
        test? ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
        ) dev-util/desktop-file-utils'
      IUSE: nls test debug designer doc test
      RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/kconfig-5.111:5
        >=kde-frameworks/kwidgetsaddons-5.111:5 >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
        )'
      emerge.packages: kde-frameworks/kcompletion:5
      kit: kde-kit
      original.package.name: kde-frameworks/kcompletion
      original.package.slot: "5"
      original.package.version: 5.111.0
    treedir: /build/packages
  package_dir: /pkgdir/kcompletion
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 398a13fe2abd3821746ee53baac8f896ca1f854f372015fc63cb90e083b33d3e
compressiontype: zstd
files:
- usr/include/KF5/KCompletion/KComboBox
- usr/include/KF5/KCompletion/KCompletion
- usr/include/KF5/KCompletion/KCompletionBase
- usr/include/KF5/KCompletion/KCompletionBox
- usr/include/KF5/KCompletion/KCompletionMatches
- usr/include/KF5/KCompletion/KHistoryComboBox
- usr/include/KF5/KCompletion/KLineEdit
- usr/include/KF5/KCompletion/KPixmapProvider
- usr/include/KF5/KCompletion/KSortableList
- usr/include/KF5/KCompletion/kcombobox.h
- usr/include/KF5/KCompletion/kcompletion.h
- usr/include/KF5/KCompletion/kcompletion_export.h
- usr/include/KF5/KCompletion/kcompletion_version.h
- usr/include/KF5/KCompletion/kcompletionbase.h
- usr/include/KF5/KCompletion/kcompletionbox.h
- usr/include/KF5/KCompletion/kcompletionmatches.h
- usr/include/KF5/KCompletion/khistorycombobox.h
- usr/include/KF5/KCompletion/klineedit.h
- usr/include/KF5/KCompletion/kpixmapprovider.h
- usr/include/KF5/KCompletion/ksortablelist.h
- usr/lib64/cmake/KF5Completion/KF5CompletionConfig.cmake
- usr/lib64/cmake/KF5Completion/KF5CompletionConfigVersion.cmake
- usr/lib64/cmake/KF5Completion/KF5CompletionTargets-gentoo.cmake
- usr/lib64/cmake/KF5Completion/KF5CompletionTargets.cmake
- usr/lib64/libKF5Completion.so
- usr/lib64/libKF5Completion.so.5
- usr/lib64/libKF5Completion.so.5.111.0
- usr/lib64/qt5/mkspecs/modules/qt_KCompletion.pri
- usr/lib64/qt5/plugins/designer/kcompletion5widgets.so
- usr/share/doc/kcompletion-5.111.0/README.md.bz2
- usr/share/locale/af/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ar/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/as/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/az/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/be/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/be@latin/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/bg/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/bn/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/bn_IN/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/br/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/bs/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ca/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ca@valencia/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/crh/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/cs/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/csb/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/cy/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/da/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/de/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/el/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/en_GB/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/eo/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/es/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/et/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/eu/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/fa/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/fi/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/fr/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/fy/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ga/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/gd/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/gl/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/gu/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ha/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/he/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/hi/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/hne/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/hr/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/hsb/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/hu/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/hy/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ia/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/id/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/is/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/it/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ja/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ka/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/kk/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/km/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/kn/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ko/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ku/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/lb/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/lt/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/lv/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/mai/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/mk/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ml/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/mr/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ms/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/nb/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/nds/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ne/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/nl/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/nn/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/oc/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/or/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/pa/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/pl/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ps/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/pt/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/pt_BR/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ro/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ru/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/se/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/si/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/sk/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/sl/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/sq/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/sr/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/sr@ijekavian/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/sr@latin/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/sv/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ta/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/te/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/tg/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/th/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/tr/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/tt/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/ug/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/uk/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/uz/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/uz@cyrillic/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/vi/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/wa/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/xh/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/zh_CN/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/zh_HK/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/locale/zh_TW/LC_MESSAGES/kcompletion5_qt.qm
- usr/share/qlogging-categories5/kcompletion.categories
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/BDEPEND
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/BUILD_TIME
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/CATEGORY
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/CBUILD
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/CFLAGS
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/CHOST
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/CONTENTS
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/COUNTER
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/CXXFLAGS
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/DEFINED_PHASES
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/DEPEND
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/DESCRIPTION
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/EAPI
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/FEATURES
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/HOMEPAGE
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/INHERITED
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/IUSE
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/IUSE_EFFECTIVE
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/KEYWORDS
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/LDFLAGS
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/LICENSE
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/NEEDED
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/PF
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/PROVIDES
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/RDEPEND
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/REQUIRES
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/SIZE
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/SLOT
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/USE
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/environment.bz2
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/kcompletion-5.111.0.ebuild
- var/db/pkg/kde-frameworks/kcompletion-5.111.0/repository
package_cacheimage: ""
runtime:
  name: kcompletion
  version: 5.111.0
  category: kde-frameworks-5
  use_flags:
  - -doc
  - -test
  - designer
  - nls
  - prefix
  requires:
  - name: kconfig
    version: '>=0'
    category: kde-frameworks-5
  - name: kwidgetsaddons
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Framework for common completion tasks such as filename or URL completion
  uri:
  - https://kde.org/
  license: LGPL-2+
  labels:
    BDEPEND: nls? ( >=dev-qt/linguist-tools-5.15.1:5 ) dev-util/ninja >=dev-util/cmake-3.9.6
      test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.111:5
      designer? ( >=kde-frameworks/kdesignerplugin-5.111:5 >=dev-qt/designer-5.15.1:5
      ) doc? ( >=dev-qt/qthelp-5.15.1:5 >=app-doc/doxygen-1.8.13-r1 )
    DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/kconfig-5.111:5
      >=kde-frameworks/kwidgetsaddons-5.111:5 dev-util/desktop-file-utils x11-misc/shared-mime-info
      test? ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
      ) dev-util/desktop-file-utils'
    IUSE: nls test debug designer doc test
    RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 >=kde-frameworks/kconfig-5.111:5
      >=kde-frameworks/kwidgetsaddons-5.111:5 >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
      )'
    emerge.packages: kde-frameworks/kcompletion:5
    kit: kde-kit
    original.package.name: kde-frameworks/kcompletion
    original.package.slot: "5"
    original.package.version: 5.111.0
